/*
 * Copyright 2013 Yuichiro Moriguchi
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.morilib.awk.builtin.t;

import net.morilib.awk.namespace.AwkNamespace;

/**
 * パッケージtの関数を読み込みます。
 *
 *
 * @author MORIGUCHI, Yuichiro 2013/04/13
 */
public class AwkTBuiltInLoader {

	/**
	 * 
	 * @param ns
	 */
	public static void load(AwkNamespace ns) {
		AwkNamespace ss = ns.subnamespace("t");

		ss.bindFunction("day",       new TDay());
		ss.bindFunction("dayofyear", new TDayofyear());
		ss.bindFunction("era",       new TEra());
		ss.bindFunction("format",    new TFormat());
		ss.bindFunction("hour",      new THour());
		ss.bindFunction("millisec",  new TMillisec());
		ss.bindFunction("min",       new TMin());
		ss.bindFunction("month",     new TMonth());
		ss.bindFunction("parse",     new TParse());
		ss.bindFunction("sec",       new TSec());
		ss.bindFunction("time",      new TTime());
		ss.bindFunction("toarray",   new TToarray());
		ss.bindFunction("week",      new TWeek());
		ss.bindFunction("year",      new TYear());
		ss.bindFunction("zone",      new TZone());
	}

}
